The NetBSD Project

CVS log for pkgsrc/devel/p5-Module-Starter/Makefile

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / devel / p5-Module-Starter

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.22 / (download) - annotate - [select for diffs], Wed Aug 22 09:44:19 2018 UTC (7 months, 4 weeks ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1, pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3, HEAD
Changes since 1.21: +2 -1 lines
Diff to previous 1.21 (colored)

Recursive bump for perl5-5.28.0

Revision 1.21 / (download) - annotate - [select for diffs], Tue Jun 19 03:00:41 2018 UTC (10 months ago) by wen
Branch: MAIN
CVS Tags: pkgsrc-2018Q2-base, pkgsrc-2018Q2
Changes since 1.20: +2 -2 lines
Diff to previous 1.20 (colored)

Update to 1.75

Upstream changes:
1.75    Thu Jun 14 12:53:47 EDT 2018
        * Update additional template URLs for consistency in tests

1.74    Tue Jun 12 18:15:20 EDT 2018
        * GH#66: Update default module template to link to metacpan (Dan Book)
        * GH#67: Update default module template to use HTTPS where appropriate (Chas. J. Owens IV)

Revision 1.20 / (download) - annotate - [select for diffs], Sun Sep 17 11:15:50 2017 UTC (19 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2018Q1-base, pkgsrc-2018Q1, pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-
Changes since 1.19: +4 -4 lines
Diff to previous 1.19 (colored)

p5-Module-Starter: update to 1.730.

1.73    Fri Aug 11 01:46:00 EDT 2017
        * Fix case where a distro name of '0' would be replaced by the first
          module name, confusing the tests (Dan Book)
        * Use Module::Runtime instead of string eval (Dan Book)

Revision 1.19 / (download) - annotate - [select for diffs], Mon Jun 5 14:23:16 2017 UTC (22 months, 2 weeks ago) by ryoon
Branch: MAIN
CVS Tags: pkgsrc-2017Q2-base, pkgsrc-2017Q2
Changes since 1.18: +2 -1 lines
Diff to previous 1.18 (colored)

Recursive revbump from lang/perl5 5.26.0

Revision 1.18 / (download) - annotate - [select for diffs], Fri Apr 14 15:09:01 2017 UTC (2 years ago) by mef
Branch: MAIN
Changes since 1.17: +2 -3 lines
Diff to previous 1.17 (colored)

Updated devel/p5-Module-Starter to 1.720
---------------------------------------
1.72    Sat Mar 25 21:20:41 EDT 2017
        * Stable release containing previous fixes

1.71_01 Thu Mar 23 23:04:11 EDT 2017
        * GH#51: drop use of Module::Build::Compat in Build.PL (Karen
          Etheridge)
        * GH#56: Fix generated syntax errors when using --fatalize (Dan Book)
        * GH#57: Fix strange scoping issue in test on 5.8 (Dan Book)
        * GH#58: Typo and doc fixes (Tordek)
        * GH#59: Quote versions in generated Makefile.PL/Build.PL (Dan Book)
        * GH#61: Fix version comparison in test (Dan Book)
        * GH#63: Remove unneeded dependency Module::Install::AuthorTests (Dan
          Book)
        * GH#64: Replace usage of Path::Class with File::Spec (Dan Book)

Revision 1.17 / (download) - annotate - [select for diffs], Wed Jun 8 19:23:12 2016 UTC (2 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2017Q1-base, pkgsrc-2017Q1, pkgsrc-2016Q4-base, pkgsrc-2016Q4, pkgsrc-2016Q3-base, pkgsrc-2016Q3, pkgsrc-2016Q2-base, pkgsrc-2016Q2
Changes since 1.16: +2 -2 lines
Diff to previous 1.16 (colored)

Bump PKGREVISION for perl-5.24.

Revision 1.16 / (download) - annotate - [select for diffs], Fri Jun 12 10:49:28 2015 UTC (3 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2016Q1-base, pkgsrc-2016Q1, pkgsrc-2015Q4-base, pkgsrc-2015Q4, pkgsrc-2015Q3-base, pkgsrc-2015Q3, pkgsrc-2015Q2-base, pkgsrc-2015Q2
Changes since 1.15: +2 -1 lines
Diff to previous 1.15 (colored)

Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.

Revision 1.15 / (download) - annotate - [select for diffs], Thu Feb 12 07:08:33 2015 UTC (4 years, 2 months ago) by mef
Branch: MAIN
CVS Tags: pkgsrc-2015Q1-base, pkgsrc-2015Q1
Changes since 1.14: +2 -3 lines
Diff to previous 1.14 (colored)

Update 1.58(0) to 1.71(0)   (0) is for PKGNAME
-------------------------
1.71    Fri Jan 30 13:28:31 2015
        * GH #47: create_t breaks plugins. (David Pottage)

1.70	Tue Jan 20 20:56:31 2015
        * Change the url for issues from rt.cpan.org to GitHub (David Pottage)
        * Added a missing module to prerequisites (David Pottage)
        * Marked t/pod* test scripts as RELEASE_TESTING (David Pottage)
        * Moved boilerplate test to xt/ directory (David Pottage)
        * Added a --fatalize option to generate code where warnings are fatal
          This changes the default behaviour, as fatal warnings are now considered
          unwise for any public module that many others depend on.
          See: http://blogs.perl.org/users/peter_rabbitson/2014/01/fatal-warnings-are-a-ticking-time-bomb-via-chromatic.html

1.62    Sun Dec  8 11:49:21 2013
        * Fix regexp in tests to stop failing on 5.8.x (Sawyer X).
        * Fix FSF address in template block and tests (Brian Manning).
        * Typo fixes (David Steinbrunner).

1.61    Fri Dec  6 14:01:19 2013
        * Stop getpwuid calls on Windows, instead prompt user for author.
          (Martin McGrath)

1.60    Thu Oct 25 20:29:50 2012
        * Guess author from getpwuid if not provided (Hilko Bengen).
        * Guess email from $ENV{'EMAIL'} if not provided (Hilko Bengen).

1.59    Thu Oct 25 19:54:05 2012
        * Skip POD tests unless RELEASE_TESTING environment is on.
          (Alberto Simoes)

1.58_03 Fri May 11 16:24:44 2012
        -- Trying to clean up test failures. More to come.

1.58_02 Wed Apr 25 12:53:34 2012
        -- All changes in this release are by Brendan Byrd (SineSwiper).
           Thank you! :)

        Licenses:
        * Add GPL3 licenses (fixes RT #72321).
        * Add all other supported licenses, including Software::License
          support (fixes RT #68634).

        New Params:
        * Make ignores_type an arrayref (closes Pull Request #8).
        * Add new --ignores parameter (also repeatable).
        * Add new --minperl parameter (Minimum Perl version).

        File Creation:
        * Fix MANIFEST.SKIP to skip creation of MANIFEST.
        * Make all warnings FATAL in created .t/.pm files.
        * Add config/build requires to Makefile/Build.PL.
        * Bulk up Module::Install Makefile.PL.
        * Fix ignores_guts to use different contents for MANIFEST.SKIP and
          other ignore files.

        test-dist.t Revamp:
        * Complete refactor of test-dist.t to make it more standardized.
        * Create new TestParseFile::parse_file_start method that handles
          parsing of all current created file types (outside of .pm files).
        * Use subtest for better organization.
        * Add verification that existing files are there and no new surprise
          files are not there.
        * Add new mega-loop to "test all variations of everything" (uses 1%
          sample size to keep test speed fast for average users).

        * Use .gitignore and MANIFEST.SKIP.

1.58_01

        * Fix repository URL by Shlomi Fish (GH #7).

Revision 1.14 / (download) - annotate - [select for diffs], Thu May 29 23:36:05 2014 UTC (4 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2
Changes since 1.13: +2 -2 lines
Diff to previous 1.13 (colored)

Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.

Revision 1.13 / (download) - annotate - [select for diffs], Fri May 31 12:40:31 2013 UTC (5 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2014Q1-base, pkgsrc-2014Q1, pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3, pkgsrc-2013Q2-base, pkgsrc-2013Q2
Changes since 1.12: +2 -2 lines
Diff to previous 1.12 (colored)

Bump all packages for perl-5.18, that
a) refer 'perl' in their Makefile, or
b) have a directory name of p5-*, or
c) have any dependency on any p5-* package

Like last time, where this caused no complaints.

Revision 1.12 / (download) - annotate - [select for diffs], Wed Oct 31 11:18:32 2012 UTC (6 years, 5 months ago) by asau
Branch: MAIN
CVS Tags: pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4
Changes since 1.11: +1 -3 lines
Diff to previous 1.11 (colored)

Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.

Revision 1.11 / (download) - annotate - [select for diffs], Wed Oct 3 21:55:17 2012 UTC (6 years, 6 months ago) by wiz
Branch: MAIN
Changes since 1.10: +2 -1 lines
Diff to previous 1.10 (colored)

Bump all packages that use perl, or depend on a p5-* package, or
are called p5-*.

I hope that's all of them.

Revision 1.10 / (download) - annotate - [select for diffs], Wed Nov 16 08:05:06 2011 UTC (7 years, 5 months ago) by hiramatsu
Branch: MAIN
CVS Tags: pkgsrc-2012Q3-base, pkgsrc-2012Q3, pkgsrc-2012Q2-base, pkgsrc-2012Q2, pkgsrc-2012Q1-base, pkgsrc-2012Q1, pkgsrc-2011Q4-base, pkgsrc-2011Q4
Changes since 1.9: +2 -4 lines
Diff to previous 1.9 (colored)

Update p5-Module-Starter to 1.58.

Changes from previous:
1.58    Sat Jul  2 15:58:46 2011

        * Added prereq on Path::Class (RT #68360).
        * Doc fixes by Nicholas Bamber and Salvatore Bonaccorso (RT #68385).

1.57    Tue Apr 12 11:07:01 IDT 2011

        * No functional changes.
        * Removing English from unnecessary tests that confuse a tester.

1.56    Thu Apr  7 17:01:11 IDT 2011

        * No functional changes, productionizing.

1.55_01 Fri Jun 11 16:56:00 IDT 2010

        Special thanks goes to Andy Lester, who has been, still is and
            will remain an inspiration to many programmers, myself included.

        [ENHANCEMENTS]
        Added hooks for distribution building in App. Thanks to brian d foy.
        MANIFEST is now created via the proper builder.
        Kept create_MANIFEST to act as hook.
        Added Apache license by pfig.

        * [RT #53539] Refactoring, adding hooks, described above.
        (Patch provided by brian d. foy)

        * [RT #27304] Minimal version of perl (5.006)
        (Patch provided by Alexandr Ciornii)

        * [RT #53339] ::Simple uses the builder to create the MANIFEST

        * Moved repository to Github

        * Some more refactoring in Simple::create_builder()

Revision 1.9 / (download) - annotate - [select for diffs], Sun Aug 14 12:26:19 2011 UTC (7 years, 8 months ago) by obache
Branch: MAIN
CVS Tags: pkgsrc-2011Q3-base, pkgsrc-2011Q3
Changes since 1.8: +2 -2 lines
Diff to previous 1.8 (colored)

Revision bump after updating perl5 to 5.14.1.

Revision 1.8 / (download) - annotate - [select for diffs], Sat Aug 21 16:34:03 2010 UTC (8 years, 8 months ago) by seb
Branch: MAIN
CVS Tags: pkgsrc-2011Q2-base, pkgsrc-2011Q2, pkgsrc-2011Q1-base, pkgsrc-2011Q1, pkgsrc-2010Q4-base, pkgsrc-2010Q4, pkgsrc-2010Q3-base, pkgsrc-2010Q3
Changes since 1.7: +2 -1 lines
Diff to previous 1.7 (colored)

Bump the PKGREVISION for all packages which depend directly on perl,
to trigger/signal a rebuild for the transition 5.10.1 -> 5.12.1.

The list of packages is computed by finding all packages which end
up having either of PERL5_USE_PACKLIST, BUILDLINK_API_DEPENDS.perl,
or PERL5_PACKLIST defined in their make setup (tested via
"make show-vars VARNAMES=..."), minus the packages updated after
the perl package update.

sno@ was right after all, obache@ kindly asked and he@ led the
way. Thanks!

Revision 1.7 / (download) - annotate - [select for diffs], Tue Feb 2 20:08:05 2010 UTC (9 years, 2 months ago) by sno
Branch: MAIN
CVS Tags: pkgsrc-2010Q2-base, pkgsrc-2010Q2, pkgsrc-2010Q1-base, pkgsrc-2010Q1
Changes since 1.6: +3 -2 lines
Diff to previous 1.6 (colored)

Updating devel/p5-Module-Starter from 1.520 to 1.540

pkgsrc changes:
- Adding license

Upstream changes:
1.54    Tue Dec  8 09:11:00 CST 2009
        This release could not have happened without Sawyer X.

        [ENHANCEMENTS]
        Added more exclusions.  Thanks to Olivier Mengue??.
        * [RT #45941] Correcting POD sections for Perl Critic (Sawyer X)
        * [RT #13847] Bail out if load fails, minimum Test::Harness (Sawyer X)
        * [RT #24110] Support for Test::CheckManifest + tests for it (Sawyer X)
        * [RT #22648] Pod::Parser (Pod::Usage) >= 1.21 (Sawyer X)
          (earliest Backpan version tested to work)
        * [RT #48723] Add metadata to META.yml (Sawyer X)
          (Patch provided by Olivier Mengu??, thank you!)
        * [RT #39397] Add option to create .gitignore (Sawyer X)

Revision 1.6 / (download) - annotate - [select for diffs], Sun Aug 23 14:40:57 2009 UTC (9 years, 7 months ago) by seb
Branch: MAIN
CVS Tags: pkgsrc-2009Q4-base, pkgsrc-2009Q4, pkgsrc-2009Q3-base, pkgsrc-2009Q3
Changes since 1.5: +3 -5 lines
Diff to previous 1.5 (colored)

Update p5-Module-Starter from version 1.500 (upstream 1.50) to version
1.520 (upstream 1.52).

Pkgsrc changes:
- Set LICENSE
- Drop dependencies on devel/p5-Test-Pod and p5-Test-Pod-Coverage

Upstream changes:
1.52    Mon Jul 27 01:25:03 CDT 2009
        * Support for more licenses.  Thanks to Shlomi Fish.

        * Fix slashing problems for Windows.  Thanks Olivier Mengue

        * Complains about extra unparsed options to try to detect
        problems that come out of misquoted variables. Thanks to Gunnar Wolf.

        * The list of files to ignore is now called ignore.txt,
        which you can turn into .cvsignore, .gitignore, MANIFEST.SKIP
        or whatever.

        * Handles authors with apostrophes in their names better.
        Thanks to, not surprisingly, Dave O'Neill.

        * Removed module requirements on Test::Pod and Test::Pod::Coverage
        for Module::Starter to be built and installed.  However,
        t/pod.t and t/pod-coverage.t do still both get created even
        if either of their two main modules are not installed.

Revision 1.5 / (download) - annotate - [select for diffs], Mon Nov 17 03:37:44 2008 UTC (10 years, 5 months ago) by he
Branch: MAIN
CVS Tags: pkgsrc-2009Q2-base, pkgsrc-2009Q2, pkgsrc-2009Q1-base, pkgsrc-2009Q1, pkgsrc-2008Q4-base, pkgsrc-2008Q4
Changes since 1.4: +6 -4 lines
Diff to previous 1.4 (colored)

Updated from version 1.470nb1 to 1.500 (upstream 0.50).

Pkgsrc chnages:
 o Add a couple of BUILD_DEPENDS

Upstream changes:

1.50    Tue Oct 28 00:27:37 CDT 2008
        * Added Perl Training Australia's getting-started.html

        * Add license setting to default Makefile.PL output (Thanks, Gabor!)

        * Fixed the RT link in the boilerplate. (Thanks, Shlomi)

Revision 1.4 / (download) - annotate - [select for diffs], Sun Oct 19 19:17:57 2008 UTC (10 years, 6 months ago) by he
Branch: MAIN
Changes since 1.3: +2 -1 lines
Diff to previous 1.3 (colored)

Bump the PKGREVISION for all packages which depend directly on perl,
to trigger/signal a rebuild for the transition 5.8.8 -> 5.10.0.

The list of packages is computed by finding all packages which end
up having either of PERL5_USE_PACKLIST, BUILDLINK_API_DEPENDS.perl,
or PERL5_PACKLIST defined in their make setup (tested via
"make show-vars VARNAMES=...").

Revision 1.3 / (download) - annotate - [select for diffs], Fri Jul 18 12:48:31 2008 UTC (10 years, 9 months ago) by rhaen
Branch: MAIN
CVS Tags: pkgsrc-2008Q3-base, pkgsrc-2008Q3, cube-native-xorg-base, cube-native-xorg
Changes since 1.2: +2 -3 lines
Diff to previous 1.2 (colored)

- updated to 1.470

Changelog:

1.46    Fri Nov  9 18:36 America/New_York 2007
        [ENHANCEMENTS
        * add Module::Install compat for ::Template plugin
        * boilerplate.t no longer appears in default MANIFEST
        * META.yml no longer appears in default MANIFEST

        [FIXES]
        * undo some bugs introduced by changing API of subclassable "guts"
          methods
        * remove some duplicated code

1.46    Wed Oct 31 08:49 America/New_York 2007
        * put nearly all of the module-starter program into a module (to test)
        * add license to META.yml

1.44    Sun Oct 11 19:09 America/New_York 2007
        * no changes since 1.43_03

1.43_03
        [FIXES]
        * pod-coverage.t includes Pod::Coverage version check
        * Test::Pod and Test::Pod::Coverage are now requirements.
            Thanks, David Golden.

1.43_02 Wed Apr 25 09:37-Wed May 09 14:46 PDT 2007	<cjac@colliertech.org>
        [ENHANCEMENTS]
        * broke Module::Starter::Simple's README_guts and module_guts
          methods into smaller, override-able pieces
        * re-factored Module::Starter::Simple's build system; the
          build metadata now lives in Module::Starter::BuildSet.  This
          allows us access to the metadata from the test suite.  It
          also makes it a bit easier to add supported builders.
        * added a test Plugin module (based on Module::Starter::PBP)
        * wrote a test suite for running module-starter
        * wrote a test suite for Module::Starter::BuildSet
        * modified the critic Makefile target to name the policy which
          raised the violation
        * Split most long lines (>80 chars) on whitespace

        [FIXES]
        * Ensured that perlcritic succeeds without errors or warnings
        * Added perlcriticrc to the MANIFEST
        * corrected build -> builder in module-starter --help docs

1.43_01 Wed Mar 28 12:21:00 EDT 2007
        [FIXES]
        * Now properly reports on all files in --verbose mode.

        [ENHANCEMENTS]
        * Add support for Module::Install

Revision 1.2 / (download) - annotate - [select for diffs], Thu Jun 12 02:14:24 2008 UTC (10 years, 10 months ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2008Q2-base, pkgsrc-2008Q2, cwrapper
Changes since 1.1: +3 -1 lines
Diff to previous 1.1 (colored)

Add DESTDIR support.

Revision 1.1.1.1 / (download) - annotate - [select for diffs] (vendor branch), Sun Apr 22 21:01:59 2007 UTC (12 years ago) by seb
Branch: TNF
CVS Tags: pkgsrc-base, pkgsrc-2008Q1-base, pkgsrc-2008Q1, pkgsrc-2007Q4-base, pkgsrc-2007Q4, pkgsrc-2007Q3-base, pkgsrc-2007Q3, pkgsrc-2007Q2-base, pkgsrc-2007Q2
Changes since 1.1: +0 -0 lines
Diff to previous 1.1 (colored)

Initial import of p5-Module-Starter version 1.42 into The NetBSD
Packages Collection.

The Perl 5 module Module::Starter is a simple starter kit for any
module. Module::Starter is used to create a skeletal CPAN distribution
including basic builder scripts, tests, documentation, and module
code.  This module is used via the provided front-end script
module-starter.

Revision 1.1 / (download) - annotate - [select for diffs], Sun Apr 22 21:01:59 2007 UTC (12 years ago) by seb
Branch: MAIN

Initial revision

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>